CVE-2021-27906

NameCVE-2021-27906
DescriptionA carefully crafted PDF file can trigger an OutOfMemory-Exception while loading the file. This issue affects Apache PDFBox version 2.0.22 and prior 2.0.x versions.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs986008

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libpdfbox-java (PTS)stretch1:1.8.12-1fixed
bookworm, sid, buster, bullseye1:1.8.16-2fixed
libpdfbox2-java (PTS)buster2.0.13-2vulnerable
bullseye2.0.23-1fixed
bookworm, sid2.0.25-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libpdfbox-javasource(unstable)(not affected)
libpdfbox2-javasource(unstable)2.0.23-1986008

Notes

[buster] - libpdfbox2-java <no-dsa> (Minor issue)
- libpdfbox-java <not-affected> (Only affects 2.x)
https://www.openwall.com/lists/oss-security/2021/03/19/10
https://issues.apache.org/jira/browse/PDFBOX-5112
https://github.com/apache/pdfbox/commit/8c47be1011c11dc47300faecffd8ab32fba3646f

Search for package or bug name: Reporting problems